<?php
header("Content-Type: text/html;charset=utf-8");
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

require_once("../data/Conexion.php");
require_once("../data/Tablas.php");
require_once("../clases/cls_tienda.php");
require_once("ctrl_imagen.php");

function tienda_lista(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"]) && isset($_POST["orden"])){
			$items_pagina = 0;
			$items_cantidad = 0;
			$buscar = $_POST["buscar"];
			$ordendireccion = $_POST["orden"];
			if (isset($_POST["items_pagina"])){
				$items_pagina = $_POST["items_pagina"];
			}
			if (isset($_POST["items_cantidad"])){
				$items_cantidad = $_POST["items_cantidad"];
			}
			$datos = cls_Group_Tienda::Buscar($buscar, $ordendireccion);
			$datos->cargar_datos($items_pagina, $items_cantidad);
			$lista = array();
			for ($idx=0; $idx<$datos->get_cantidad_cargados(); $idx++){
				array_push($lista, array(
					"tienda_id"=>$datos->get_tienda_id($idx),
					"nombre"=>$datos->get_nombre($idx),
					"imagen"=>$datos->get_imagen($idx),
					"ubicacion"=>$datos->get_ubicacion($idx),
					"telefono"=>$datos->get_telefono($idx),
					"observaciones"=>$datos->get_observaciones($idx),
				));
			}
			$respuestas["datos"] = $lista;
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function tienda_datos(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "datos"=>array());
		if (isset($_POST["buscar"])){
			$codigo = $_POST["buscar"];
			$datos = cls_Tienda::Indice($codigo);
			$respuestas["datos"] = array(
					"tienda_id"=>$datos->get_tienda_id(),
					"nombre"=>$datos->get_nombre(),
					"imagen"=>$datos->get_imagen(),
					"ubicacion"=>$datos->get_ubicacion(),
					"telefono"=>$datos->get_telefono(),
					"observaciones"=>$datos->get_observaciones(),
			);
			$respuestas["estado"]  = "ok";
			$respuestas["mensaje"]  = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function tienda_registrar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"", "codigo"=>0);
		$usuario_editor = 0;
		$codigo = 0;
		$activo = true;
		if (isset($_SESSION["usuario_editor"])){
			$usuario_editor = $_SESSION["usuario_editor"];
		}
		if (isset($_POST["txt_codigo"])){
			$codigo = $_POST["txt_codigo"];
		}
		if (isset($_POST["activo"])){
			$activo = $_POST["activo"];
		}
		$nombre = $_POST["txt_nombre"];
		$imagen_archivo = $_POST["txt_imagen"];
		$ubicacion = $_POST["txt_ubicacion"];
		$telefono = $_POST["txt_telefono"];
		$observaciones = $_POST["txt_observaciones"];
		$datos = cls_Tienda::Indice($codigo);
			$imagen = "";
			$registrar_foto = true;
			if ($datos->get_tienda_id() > 0 && $imagen_archivo != "" && $datos->get_imagen() != $imagen_archivo){
				$registrar_foto = false;
				$imagen = save_img_file("../libreria/imagenes/tiendas/", "market_".$datos->get_tienda_id(), $imagen_archivo);
				$datos->set_imagen($imagen);
			}
		$datos->set_nombre($nombre);
		//$datos->set_imagen($imagen);
		$datos->set_ubicacion($ubicacion);
		$datos->set_telefono($telefono);
		$datos->set_observaciones($observaciones);
		$datos->set_activo($activo);
		if ($datos->registrar($usuario_editor)){
			$respuestas["codigo"] = $datos->get_tienda_id();
			if ($registrar_foto && $imagen_archivo != "" && $datos->get_imagen() != $imagen_archivo){
				$foto = save_img_file("../libreria/imagenes/tiendas/", "market_".$datos->get_tienda_id(), $imagen_archivo);
				$datos->set_imagen($foto);
				$datos->registrar($usuario_editor);
			}
			$respuestas["estado"] = "ok";
			$respuestas["mensaje"] = "Los datos se cargaron correctamente";
		} else {
			$respuestas["mensaje"] = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}
function tienda_eliminar(){
		$respuestas = array("estado"=>"error", "mensaje"=>"");
		if (isset($_POST["buscar"])){
			$usuario_editor = 0;
			if (isset($_SESSION["usuario_editor"])){
				$usuario_editor = $_SESSION["usuario_editor"];
			}
			$codigo = $_POST["buscar"];
			$datos = cls_Tienda::Indice($codigo);
			if ($datos->eliminar($usuario_editor)){
				$respuestas["estado"]  = "ok";
				$respuestas["mensaje"]  = "Los datos se eliminaron correctamente";
			} else {
				$respuestas["mensaje"]  = "No se pudo eliminar los datos correctamente";
			}
		} else {
			$respuestas["mensaje"]  = "Ocurrió un error recibiendo los datos.";
		}
		echo(json_encode($respuestas));
}

if (isset($_POST["accion"])){
    if ($_POST["accion"] == "lista"){
		tienda_lista();
	} else if ($_POST["accion"] == "datos"){
		tienda_datos();
    } else if ($_POST["accion"] == "registrar"){
		tienda_registrar();
    } else if ($_POST["accion"] == "eliminar"){
		tienda_eliminar();
	}
}
?>
